Subject: bug#39713: Was told on IRC (#guix at freenode) to share the details of my problem with Guix (SD) via email

From: Akshay Khobragade <[email-masked]>
Date: Fri, 21 Feb 2020 11:09:39 +0100 (CET)

Hello,

My failed attempt to use https://webchat.freenode.net on an smartphone led 'civodul' on IRC to ask me to share the details of my problem with the installation of Guix (SD) via email.

This is my first ever installation of Guix where I chose:

1. Separate Boot (/boot) and EFI (/boot/efi) partitions

2. Encrypted root (having used it in Debian for the last 10 months, I am comfortable)

3. Everything is formatted as Ext4 except the EFI partition.

The installer said it had installed the system successfully and that I can remove the installation media and boot the system. To my surprise, system never asked for the password of the root partition and led to an error saying it find the kernel. You can see this in the photograph attatched to this email.

I thank you for considering my issue and hope to fix it sooner than later as Guix is the only operating system I have installed.

Thank You,
Akshay